All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
ViennaCLScalar_impl Struct Reference

`#include <viennacl_private.hpp>`

## Public Attributes

ViennaCLBackend | backend
ViennaCLPrecision | precision
char * | host_mem
ViennaCLInt | offset

## Detailed Description

Definition at line 77 of file viennacl_private.hpp.

## Member Data Documentation

ViennaCLBackend ViennaCLScalar_impl::backend

Definition at line 79 of file viennacl_private.hpp.

char* ViennaCLScalar_impl::host_mem

Definition at line 89 of file viennacl_private.hpp.

ViennaCLInt ViennaCLScalar_impl::offset

Definition at line 91 of file viennacl_private.hpp.

ViennaCLPrecision ViennaCLScalar_impl::precision

Definition at line 80 of file viennacl_private.hpp.

The documentation for this struct was generated from the following file:

- libviennacl/src/viennacl_private.hpp